# SPDX-License-Identifier: AFL-1.1 OR MIT-0
# SPDX-FileCopyrightText: 2021 Sebastian Crane <seabass-labrax@gmx.com>
#!/bin/sh

MONTHS=$(locale mon | tr ';' ',')

mkdir -p osi-mailing-list-archives
cd osi-mailing-list-archives
echo "Entered osi-mailing-list-archives directory..."

eval echo http://lists.opensource.org/pipermail/license-discuss_lists.opensource.org/{1999..2021}-{$MONTHS}.txt.gz | tr ' ' '\n' > license-discuss-urls
eval echo http://lists.opensource.org/pipermail/license-review_lists.opensource.org/{1999..2021}-{$MONTHS}.txt.gz | tr ' ' '\n' > license-review-urls

mkdir -p license-discuss
cd license-discuss
wget --no-verbose --no-clobber --continue --input-file="../license-discuss-urls"
gunzip *.gz
cd ../

mkdir -p license-review
cd license-review
wget --no-verbose --no-clobber --continue --input-file="../license-review-urls"
gunzip *.gz
cd ../
